Changeset 16119


Ignore:
Timestamp:
Jan 28, 2006, 2:30:51 PM (14 years ago)
Author:
rhwood
Message:

Submitted by: rhwood@…

Change variant +gnome to +with-gnome
Add variant +use-sys-deps to allow building against dependent libraries instead of ports if the libraries were installed outside of dports

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/x11/gtkmm/Portfile

    r15921 r16119  
    1 # $Id: Portfile,v 1.12 2006/01/18 23:52:53 rhwood Exp $
     1# $Id: Portfile,v 1.13 2006/01/28 14:30:51 rhwood Exp $
    22PortSystem 1.0
    33name            gtkmm
     
    1313use_bzip2       yes
    1414checksums       md5 194d4a21368f92061fd3f68acf3a7c8d
    15 # Depend on the port rather than on the library (lib:libglibmm-2:glibmm)
    16 # itself, as it needs glibmm >= 2.8.0 to compile
     15# use variant +use-sys-deps to depend on the libraries
    1716depends_lib     port:gtk2 port:glibmm
    1817configure.env   CFLAGS="-no-cpp-precomp -flat_namespace -undefined suppress"
    19 variant gnome {
     18variant with-gnome {
    2019        depends_lib-prepend port:gnome-platform-suite
    2120}
     21variant use-sys-deps {
     22        depends_lib-delete port:gtk2 port:glibmm
     23        depends_lib-append lib:libgtk-x11-2:gtk2 lib:libglibmm-2:glibmm
     24}
Note: See TracChangeset for help on using the changeset viewer.